#include "ginymes.h"
#include "ui_ginymes.h"
#include <QDate>

GinyMes::GinyMes(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyMes)
{
    ui->setupUi(this);
    vEmplenaLlistaMesos();
    QDate qt;
    nCmpt = qt.currentDate().month()-1;
    ui->etMes->setText(llistaMesos.at(nCmpt));
}

GinyMes::~GinyMes()
{
    delete ui;
}

void GinyMes::vEmplenaLlistaMesos(){
    llistaMesos.append(tr("Gener"));
    llistaMesos<<tr("Febrer")<<tr("Març")<<tr("Abril")<<tr("Maig")<<tr("Juny")<<tr("Juliol");
    llistaMesos<<tr("Agost")<<tr("Setembre")<<tr("Octubre")<<tr("Novembre")<<tr("Desembre");
}

void GinyMes::on_btOpMes_clicked()
{
    nCmpt++;
    if(nCmpt > 11) nCmpt = 0;
    ui->etMes->setText(llistaMesos.at(nCmpt));
}

void GinyMes::on_btOpMenys_clicked()
{
    nCmpt--;
    if(nCmpt < 0) nCmpt = 11;
    ui->etMes->setText(llistaMesos.at(nCmpt));
}
